> ## Documentation Index
> Fetch the complete documentation index at: https://docs.theymes.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set an announcement

> Create or fully replace one announcement. appId is required: null selects shared scope, an app UUID selects app scope. shortContent is localized plain text and must be nonblank in the primary language configured in your account. longContent is localized Markdown; null or an empty object clears details and is returned as an empty object. Both localization maps are replaced, removing omitted translations. Changes use the existing announcement display and inheritance behavior.



## OpenAPI

````yaml https://api.theymes.com/v2/openapi.json put /announcements
openapi: 3.1.0
info:
  title: Theymes API v2
  version: 2.0.0
  description: >-
    Theymes API allows you to interact with the Theymes platform.



    Most endpoints require an API key for authentication. You can generate an
    API key in the Theymes dashboard.



    The API key should be included in the Authorization header
    (```Authorization: Bearer <YOUR_KEY>```).



    The public support link endpoints do not require authentication and are
    grouped separately below.
servers:
  - url: https://api.theymes.com/v2
security: []
tags:
  - name: Authenticated endpoints (API key)
    description: Endpoints that require an API key in the Authorization header.
  - name: Public support links (no authentication)
    description: >-
      Endpoints for creating web support sessions and links. These require no
      authentication and are identified by an app environment token.
paths:
  /announcements:
    put:
      tags:
        - Authenticated endpoints (API key)
      summary: Set an announcement
      description: >-
        Create or fully replace one announcement. appId is required: null
        selects shared scope, an app UUID selects app scope. shortContent is
        localized plain text and must be nonblank in the primary language
        configured in your account. longContent is localized Markdown; null or
        an empty object clears details and is returned as an empty object. Both
        localization maps are replaced, removing omitted translations. Changes
        use the existing announcement display and inheritance behavior.
      operationId: setAnnouncement
      parameters:
        - schema:
            type: string
            description: Bearer token API key
          required: true
          description: Bearer token API key
          name: Authorization
          in: header
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                shortContent:
                  type: object
                  properties:
                    en:
                      type:
                        - string
                        - 'null'
                    de:
                      type:
                        - string
                        - 'null'
                    es:
                      type:
                        - string
                        - 'null'
                    es-AR:
                      type:
                        - string
                        - 'null'
                    es-MX:
                      type:
                        - string
                        - 'null'
                    fi:
                      type:
                        - string
                        - 'null'
                    fil:
                      type:
                        - string
                        - 'null'
                    fr:
                      type:
                        - string
                        - 'null'
                    id:
                      type:
                        - string
                        - 'null'
                    ja:
                      type:
                        - string
                        - 'null'
                    ko:
                      type:
                        - string
                        - 'null'
                    ms:
                      type:
                        - string
                        - 'null'
                    pt:
                      type:
                        - string
                        - 'null'
                    pt-BR:
                      type:
                        - string
                        - 'null'
                    ru:
                      type:
                        - string
                        - 'null'
                    tr:
                      type:
                        - string
                        - 'null'
                    uk:
                      type:
                        - string
                        - 'null'
                    vi:
                      type:
                        - string
                        - 'null'
                    zh:
                      type:
                        - string
                        - 'null'
                    zh-Hans:
                      type:
                        - string
                        - 'null'
                    zh-Hant:
                      type:
                        - string
                        - 'null'
                    ar:
                      type:
                        - string
                        - 'null'
                    cs:
                      type:
                        - string
                        - 'null'
                    da:
                      type:
                        - string
                        - 'null'
                    nl:
                      type:
                        - string
                        - 'null'
                    el:
                      type:
                        - string
                        - 'null'
                    hu:
                      type:
                        - string
                        - 'null'
                    it:
                      type:
                        - string
                        - 'null'
                    'no':
                      type:
                        - string
                        - 'null'
                    nb:
                      type:
                        - string
                        - 'null'
                    pl:
                      type:
                        - string
                        - 'null'
                    ro:
                      type:
                        - string
                        - 'null'
                    sk:
                      type:
                        - string
                        - 'null'
                    sv:
                      type:
                        - string
                        - 'null'
                    th:
                      type:
                        - string
                        - 'null'
                longContent:
                  type:
                    - object
                    - 'null'
                  properties:
                    en:
                      type:
                        - string
                        - 'null'
                    de:
                      type:
                        - string
                        - 'null'
                    es:
                      type:
                        - string
                        - 'null'
                    es-AR:
                      type:
                        - string
                        - 'null'
                    es-MX:
                      type:
                        - string
                        - 'null'
                    fi:
                      type:
                        - string
                        - 'null'
                    fil:
                      type:
                        - string
                        - 'null'
                    fr:
                      type:
                        - string
                        - 'null'
                    id:
                      type:
                        - string
                        - 'null'
                    ja:
                      type:
                        - string
                        - 'null'
                    ko:
                      type:
                        - string
                        - 'null'
                    ms:
                      type:
                        - string
                        - 'null'
                    pt:
                      type:
                        - string
                        - 'null'
                    pt-BR:
                      type:
                        - string
                        - 'null'
                    ru:
                      type:
                        - string
                        - 'null'
                    tr:
                      type:
                        - string
                        - 'null'
                    uk:
                      type:
                        - string
                        - 'null'
                    vi:
                      type:
                        - string
                        - 'null'
                    zh:
                      type:
                        - string
                        - 'null'
                    zh-Hans:
                      type:
                        - string
                        - 'null'
                    zh-Hant:
                      type:
                        - string
                        - 'null'
                    ar:
                      type:
                        - string
                        - 'null'
                    cs:
                      type:
                        - string
                        - 'null'
                    da:
                      type:
                        - string
                        - 'null'
                    nl:
                      type:
                        - string
                        - 'null'
                    el:
                      type:
                        - string
                        - 'null'
                    hu:
                      type:
                        - string
                        - 'null'
                    it:
                      type:
                        - string
                        - 'null'
                    'no':
                      type:
                        - string
                        - 'null'
                    nb:
                      type:
                        - string
                        - 'null'
                    pl:
                      type:
                        - string
                        - 'null'
                    ro:
                      type:
                        - string
                        - 'null'
                    sk:
                      type:
                        - string
                        - 'null'
                    sv:
                      type:
                        - string
                        - 'null'
                    th:
                      type:
                        - string
                        - 'null'
                appId:
                  type:
                    - string
                    - 'null'
                  format: uuid
              required:
                - shortContent
                - longContent
                - appId
      responses:
        '200':
          description: The saved announcement
          content:
            application/json:
              schema:
                type: object
                properties:
                  announcement:
                    type: object
                    properties:
                      shortContent:
                        type: object
                        properties:
                          en:
                            type:
                              - string
                              - 'null'
                          de:
                            type:
                              - string
                              - 'null'
                          es:
                            type:
                              - string
                              - 'null'
                          es-AR:
                            type:
                              - string
                              - 'null'
                          es-MX:
                            type:
                              - string
                              - 'null'
                          fi:
                            type:
                              - string
                              - 'null'
                          fil:
                            type:
                              - string
                              - 'null'
                          fr:
                            type:
                              - string
                              - 'null'
                          id:
                            type:
                              - string
                              - 'null'
                          ja:
                            type:
                              - string
                              - 'null'
                          ko:
                            type:
                              - string
                              - 'null'
                          ms:
                            type:
                              - string
                              - 'null'
                          pt:
                            type:
                              - string
                              - 'null'
                          pt-BR:
                            type:
                              - string
                              - 'null'
                          ru:
                            type:
                              - string
                              - 'null'
                          tr:
                            type:
                              - string
                              - 'null'
                          uk:
                            type:
                              - string
                              - 'null'
                          vi:
                            type:
                              - string
                              - 'null'
                          zh:
                            type:
                              - string
                              - 'null'
                          zh-Hans:
                            type:
                              - string
                              - 'null'
                          zh-Hant:
                            type:
                              - string
                              - 'null'
                          ar:
                            type:
                              - string
                              - 'null'
                          cs:
                            type:
                              - string
                              - 'null'
                          da:
                            type:
                              - string
                              - 'null'
                          nl:
                            type:
                              - string
                              - 'null'
                          el:
                            type:
                              - string
                              - 'null'
                          hu:
                            type:
                              - string
                              - 'null'
                          it:
                            type:
                              - string
                              - 'null'
                          'no':
                            type:
                              - string
                              - 'null'
                          nb:
                            type:
                              - string
                              - 'null'
                          pl:
                            type:
                              - string
                              - 'null'
                          ro:
                            type:
                              - string
                              - 'null'
                          sk:
                            type:
                              - string
                              - 'null'
                          sv:
                            type:
                              - string
                              - 'null'
                          th:
                            type:
                              - string
                              - 'null'
                      longContent:
                        type: object
                        properties:
                          en:
                            type:
                              - string
                              - 'null'
                          de:
                            type:
                              - string
                              - 'null'
                          es:
                            type:
                              - string
                              - 'null'
                          es-AR:
                            type:
                              - string
                              - 'null'
                          es-MX:
                            type:
                              - string
                              - 'null'
                          fi:
                            type:
                              - string
                              - 'null'
                          fil:
                            type:
                              - string
                              - 'null'
                          fr:
                            type:
                              - string
                              - 'null'
                          id:
                            type:
                              - string
                              - 'null'
                          ja:
                            type:
                              - string
                              - 'null'
                          ko:
                            type:
                              - string
                              - 'null'
                          ms:
                            type:
                              - string
                              - 'null'
                          pt:
                            type:
                              - string
                              - 'null'
                          pt-BR:
                            type:
                              - string
                              - 'null'
                          ru:
                            type:
                              - string
                              - 'null'
                          tr:
                            type:
                              - string
                              - 'null'
                          uk:
                            type:
                              - string
                              - 'null'
                          vi:
                            type:
                              - string
                              - 'null'
                          zh:
                            type:
                              - string
                              - 'null'
                          zh-Hans:
                            type:
                              - string
                              - 'null'
                          zh-Hant:
                            type:
                              - string
                              - 'null'
                          ar:
                            type:
                              - string
                              - 'null'
                          cs:
                            type:
                              - string
                              - 'null'
                          da:
                            type:
                              - string
                              - 'null'
                          nl:
                            type:
                              - string
                              - 'null'
                          el:
                            type:
                              - string
                              - 'null'
                          hu:
                            type:
                              - string
                              - 'null'
                          it:
                            type:
                              - string
                              - 'null'
                          'no':
                            type:
                              - string
                              - 'null'
                          nb:
                            type:
                              - string
                              - 'null'
                          pl:
                            type:
                              - string
                              - 'null'
                          ro:
                            type:
                              - string
                              - 'null'
                          sk:
                            type:
                              - string
                              - 'null'
                          sv:
                            type:
                              - string
                              - 'null'
                          th:
                            type:
                              - string
                              - 'null'
                      appId:
                        type:
                          - string
                          - 'null'
                        format: uuid
                    required:
                      - shortContent
                      - longContent
                      - appId
                required:
                  - announcement
        '400':
          description: Invalid input or missing primary-language short content
        '403':
          description: API key authentication required
        '404':
          description: App not found

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.